aboutsummaryrefslogtreecommitdiffstats
path: root/config/hypr/scripts
diff options
context:
space:
mode:
authorAhum Maitra <theahummaitra@gmail.com>2026-01-04 03:53:41 +0530
committerGitHub <noreply@github.com>2026-01-03 17:23:41 -0500
commite504f6c1c50bd2037bea9b3b48e2e0b06b304c34 (patch)
treecf74780f8dae78161af1a25abc1d04e43ec6f3fd /config/hypr/scripts
parented13a23db110ecea04e00cdfb985789461f7a9a1 (diff)
feat: Add Wallust based global Theme Switcher (#905)
* fix: Add Theme Switcher script * feat: Add theme switcher shortcut * enhancement: simplify the program, fix spelling mistakes, add safety mechanism
Diffstat (limited to 'config/hypr/scripts')
-rw-r--r--config/hypr/scripts/ThemeChanger.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/config/hypr/scripts/ThemeChanger.sh b/config/hypr/scripts/ThemeChanger.sh
new file mode 100644
index 00000000..15534258
--- /dev/null
+++ b/config/hypr/scripts/ThemeChanger.sh
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+# SPDX-FileCopyrightText: 2025-present Ahum Maitra theahummaitra@gmail.com
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+# Repository url : https://github.com/TheAhumMaitra/cautious-waddle
+
+# User choice
+choice=$(wallust theme list \
+ | sed '1d' \
+ | sed 's/^- //' \
+ | rofi -dmenu -p "Select Global Theme")
+
+# If user requested to exit, then exit
+[[ -z "$choice" ]] && exit 0
+
+# Apply the theme
+wallust theme "$choice"
+
+# Inform user about theme changed
+notify-send "Global theme changed" "Global Theme selected $choice"
+
+# Give warning to user for Waybar theme refresh
+notify-send "Press SUPER+ALT+R to Refresh Waybar Theme"
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage